org.eclnt.workplace

## Class WorkpageContainerRendererViaHideablePane

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.workplace.WorkpageContainerRendererViaHideablePane

- All Implemented Interfaces:
    IPageBean, IDynamicContentBindingObject, IWorkpageContainerPartialRenderer, IWorkpageContainerRenderer

      public class WorkpageContainerRendererViaHideablePane
      extends PageBean
      implements IWorkpageContainerPartialRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageContainerRendererViaHideablePane()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfAlsoUsedForSubContainers()`
    `ROWDYNAMICCONTENTBinding` | `getContent()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `void` | `initWorkpageContainer(WorkpageContainer wpContainer)`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.pagebean.IPageBean

      `closePopup, getActualRootExpression, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, setActualRootExpression`

- - ### Constructor Detail

    - #### WorkpageContainerRendererViaHideablePane

          public WorkpageContainerRendererViaHideablePane()

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### initWorkpageContainer

          public void initWorkpageContainer(WorkpageContainer wpContainer)

      Specified by:
        `initWorkpageContainer` in interface `IWorkpageContainerRenderer`

    - #### checkIfAlsoUsedForSubContainers

          public boolean checkIfAlsoUsedForSubContainers()

      Specified by:
        `checkIfAlsoUsedForSubContainers` in interface `IWorkpageContainerRenderer`

    - #### getContent

          public ROWDYNAMICCONTENTBinding getContent()

Copyright © CaptainCasa Gmbh. All Rights Reserved.